<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.DemAtlInspectVoucherMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.DemAtlInspectVoucher">
        <id column="id" property="id" />
        <result column="voucher_id" property="voucherId" />
        <result column="project_code" property="projectCode" />
        <result column="voucher_type" property="voucherType" />
        <result column="source_paper_id" property="sourcePaperId" />
        <result column="source_paper_type" property="sourcePaperType" />
        <result column="document_number1" property="documentNumber1" />
        <result column="document_number2" property="documentNumber2" />
        <result column="document_number3" property="documentNumber3" />
        <result column="document_number4" property="documentNumber4" />
        <result column="document_number" property="documentNumber" />
        <result column="paper_title" property="paperTitle" />
        <result column="declare_company" property="declareCompany" />
        <result column="project_name" property="projectName" />
        <result column="material_code" property="materialCode" />
        <result column="material_name" property="materialName" />
        <result column="whether_complies" property="whetherComplies" />
        <result column="whether_accept" property="whetherAccept" />
        <result column="whether_correct" property="whetherCorrect" />
        <result column="correct_content" property="correctContent" />
        <result column="whether_review" property="whetherReview" />
        <result column="inspect_time_limit" property="inspectTimeLimit" />
        <result column="time_limit_content" property="timeLimitContent" />
        <result column="annex_content" property="annexContent" />
        <result column="declare_person" property="declarePerson" />
        <result column="accept_person" property="acceptPerson" />
        <result column="accept_time" property="acceptTime" />
        <result column="version_code" property="versionCode" />
        <result column="accept_company" property="acceptCompany" />
        <result column="approver_account" property="approverAccount" />
        <result column="approver_name" property="approverName" />
        <result column="approval_time" property="approvalTime" />
        <result column="creator" property="creator" />
        <result column="creator_name" property="creatorName" />
        <result column="create_time" property="createTime" />
        <result column="create_ip" property="createIp" />
        <result column="update_person" property="updatePerson" />
        <result column="update_name" property="updateName" />
        <result column="update_time" property="updateTime" />
        <result column="update_ip" property="updateIp" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="alternate_field1" property="alternateField1" />
        <result column="alternate_field2" property="alternateField2" />
        <result column="alternate_field3" property="alternateField3" />
        <result column="alternate_field4" property="alternateField4" />
        <result column="alternate_field5" property="alternateField5" />
        <result column="row_version" property="rowVersion" />
        <result column="project_address" property="projectAddress" />
        <result column="accept_situation" property="acceptSituation" />
        <result column="accepted_code" property="acceptedCode" />
        <result column="company_abbreviate" property="companyAbbreviate" />
        <result column="declare_time" property="declareTime" />
        <result column="is_read" property="isRead" />
        <result column="read_time" property="readTime" />
        <result column="union_key" property="unionKey" />
    </resultMap>

</mapper>
